---
title: Wikipedia
description: Wikipedia apage search and summary API.
---

- package: `@agentic/wikipedia`
- exports: `class WikipediaClient`, `namespace wikipedia`
- env vars: `WIKIPEDIA_API_USER_AGENT` _(optional)_
- [source](https://github.com/transitive-bullshit/agentic/blob/main/packages/wikipedia/src/wikipedia-client.ts)
- [wikipedia api docs](https://www.mediawiki.org/wiki/API)

## Install

<CodeGroup>
```bash npm
npm install @agentic/wikipedia
```

```bash yarn
yarn add @agentic/wikipedia
```

```bash pnpm
pnpm add @agentic/wikipedia
```

</CodeGroup>

## Usage

```ts
import { WikipediaClient } from '@agentic/wikipedia'

const wikipedia = new WikipediaClient()
const res0 = await wikipedia.search({ query: 'steve jobs' })
const res1 = await wikipedia.getPageSummary({ title: 'Elon_Musk' })
```
